GLFWgamepadstate Struct Reference
Input reference

Gamepad input state. More...

## Data Fields

unsigned char | buttons [15]
float | axes [6]

## Detailed Description

This describes the input state of a gamepad.

See also
  Gamepad input
  glfwGetGamepadState

Since
  Added in version 3.3.

## Field Documentation

## buttons

unsigned char GLFWgamepadstate::buttons[15]

The states of each gamepad button, `GLFW_PRESS` or `GLFW_RELEASE`.

## axes

float GLFWgamepadstate::axes[6]

The states of each gamepad axis, in the range -1.0 to 1.0 inclusive.

The documentation for this struct was generated from the following file:

- glfw3.h